/*
 * @(#)IChange 31 October 2006
 *
 * @author Viera K. Proulx
 */
/**
 * An interface to represent a method that changes the state of the object
 * by an integer amount.
 */
public interface IChange {
  /**
   * Change the state of this object by the given amount.
   * 
   * @param diff the amount by which the object is changed.
   */
  public void change(int diff);
}